# Uses of Interface
javax.print.DocPrintJob

Packages that use DocPrintJob
Package
Description
javax.print
Provides the principal classes and interfaces for the Java Print Service API.
javax.print.event
Package `javax.print.event` contains event classes and listener interfaces.

## Uses of DocPrintJob in javax.print

Subinterfaces of DocPrintJob in javax.print
Modifier and Type
Interface
Description
`interface`
`CancelablePrintJob`
This interface is used by a printing application to cancel a print job.
`interface`
`MultiDocPrintJob`
Obtained from a `MultiDocPrintService`, a `MultiDocPrintJob` can print a specified collection of documents as a single print job with a set of job attributes.
Methods in javax.print that return DocPrintJob
Modifier and Type
Method
Description
`DocPrintJob`
PrintService.`createPrintJob()`
Creates and returns a `PrintJob` capable of handling data from any of the supported document flavors.

## Uses of DocPrintJob in javax.print.event

Methods in javax.print.event that return DocPrintJob
Modifier and Type
Method
Description
`DocPrintJob`
PrintJobAttributeEvent.`getPrintJob()`
Determine the `PrintJob` to which this print job event pertains.
`DocPrintJob`
PrintJobEvent.`getPrintJob()`
Determines the `DocPrintJob` to which this print job event pertains.
Constructors in javax.print.event with parameters of type DocPrintJob
Modifier
Constructor
Description
``
`PrintJobAttributeEvent(DocPrintJob source, PrintJobAttributeSet attributes)`
Constructs a `PrintJobAttributeEvent` object.
``
`PrintJobEvent(DocPrintJob source, int reason)`
Constructs a `PrintJobEvent` object.